Priority: Normal

Assignee: Nathan Woodrow

Category: GUI

Pull Request or Patch supplied:No Resolution:

Easy fix?: No Copied to github as #: 16111

Description

At the moment if you use the editable unique values field option it uses a QLineEdit with a completer.  It would be better if this was a

QCombobox with a completer that way the user can still select a value from the list or edit by hand.

Related issues:

Related to QGIS Application - Feature request # 8441: Add dropdown list (or a... Closed 2013-08-11

Associated revisions

Revision df0d690c - 2013-08-12 02:20 AM - Nathan Woodrow 

Fix #7012

History

#1 - 2013-01-20 07:56 PM - Nathan Woodrow

http://doc.qt.digia.com/qt/qcombobox.html#completer

#2 - 2013-01-21 01:18 PM - Nathan Woodrow

- Subject changed from Editable unique value should use with completer to Editable unique value should use QCombobox with completer

#3 - 2013-07-03 12:35 AM - Denis Rouzaud

http://qt-project.org/doc/qt-4.8/qcombobox.html#completer

#4 - 2013-08-11 03:59 AM - Jürgen Fischer

- Tracker changed from Bug report to Feature request

#5 - 2013-08-11 05:20 PM - Nathan Woodrow

- Status changed from Open to Closed

Fixed in changeset commit:"df0d690cd08e835cd49e7c6e9ef168cc157e38b8".

#6 - 2013-08-11 05:22 PM - Nathan Woodrow

Can I get this reopened. Closed the wrong bug by mistake.

2024-03-20 1/2

http://doc.qt.digia.com/qt/qcombobox.html#completer
http://qt-project.org/doc/qt-4.8/qcombobox.html#completer


#7 - 2013-08-11 05:22 PM - Giovanni Manghi

- Status changed from Closed to Open

#8 - 2013-10-01 07:12 AM - Anonymous

- Status changed from Open to Closed

Fixed in changeset commit:"df0d690cd08e835cd49e7c6e9ef168cc157e38b8".
